import React, {ReactElement} from "react";

import Button from 'react-bootstrap/Button';

interface ButtonUiProps {
    title: string,
    variant: string,
    type?: 'submit' | 'reset' | 'button' | undefined
    img?: ReactElement,
    event?: () => void
}

export const ButtonUi:React.FC<ButtonUiProps> = ({title, img, variant, event, type}) => {
    return (
        <Button onClick={event} variant={variant} type={type}>
            {img}
            {title}
        </Button>
    )
}
