import React from "react";

import { DefaultDropDown } from "../../entities/DefaultDropDown";
import { ButtonUi, ButtonUiType } from "../../shared/UI/ButtonUi";

import { filterItems } from "../../constants/data";

import filterImg from "../../shared/images/filter.png";
import close from "../../shared/images/close.png";
import styles from "./auctionFilters.module.scss";

export const AuctionFilters = () => {
    return (
        <div className={styles.filter}>
            <img className={styles.filter__img} src={filterImg} alt="filter" />
            <div className={styles.filter__items}>
                {filterItems.map((item) => {
                    return <DefaultDropDown key={item.title} title={item.title} options={item.options} />
                })}
            </div>
            <ButtonUi
                title={'Сбросить фильтры'}
                variant={ButtonUiType.PRIMARY}
                img={<img src={close} alt="cross" />} />
            <ButtonUi title={'Применить'} variant={ButtonUiType.INFO} />
        </div>
    )
}
